from django import forms
from django.forms.models import modelformset_factory
from django.contrib.auth.models import User

from aircox.forms import widgets


__all__ = ("UserGroupFormSet",)


UserGroupFormSet = modelformset_factory(
    User.groups.through,
    fields=("group", "user"),
    widgets={
        "group": forms.HiddenInput(),
        "user": widgets.VueAutoComplete("api:usergroup-autocomplete", lookup="username"),
    },
    extra=0,
    can_delete=True,
)
